Unable to run isaac docker container - ubuntu 20.04(PopOS), NVIDIA 2070 Super

Pulled docker container, running in PopOS (Ubuntu 20.04).

ue Aug 18 18:13:34 2020       
+-----------------------------------------------------------------------------+
| NVIDIA-SMI 440.100      Driver Version: 440.100      CUDA Version: 10.2     |
|-------------------------------+----------------------+----------------------+
| GPU  Name        Persistence-M| Bus-Id        Disp.A | Volatile Uncorr. ECC |
| Fan  Temp  Perf  Pwr:Usage/Cap|         Memory-Usage | GPU-Util  Compute M. |
|===============================+======================+======================|
|   0  GeForce RTX 207...  Off  | 00000000:01:00.0 Off |                  N/A |
| N/A   44C    P8     1W /  N/A |     75MiB /  7982MiB |      0%      Default |
+-------------------------------+----------------------+----------------------+

This is my current setup:

+-----------------------------------------------------------------------------+

| Processes:                                                       GPU Memory |
|  GPU       PID   Type   Process name                             Usage      |
|=============================================================================|
|    0      1249      G   /usr/lib/xorg/Xorg                            36MiB |
|    0      1944      G   /usr/lib/xorg/Xorg                            36MiB |
+-----------------------------------------------------------------------------+
WARNING: infoROM is corrupted at gpu 0000:01:00.0

2020-08-19 00:10:56 [1,617ms] [Error] [carb.scenerenderer-rtx.plugin] Raytracing is not supported on GPU: 0. Hardware, driver or Operating system upgrade is required.
2020-08-19 00:10:56 [1,617ms] [Error] [carb.renderer.plugin] No carb::scenerenderer::SceneRenderer was found.
2020-08-19 00:10:56 [1,617ms] [Warning] [carb.renderer.plugin] Failed to create context for scene renderer ‘rtx’.
2020-08-19 00:10:57 [2,328ms] [Error] [omni.kit.plugin] Startup Error
2020-08-19 00:10:57 [2,328ms] [Error] [omni.kit.plugin] Unable to create renderer. Make sure you are running with an NVIDIA GPU supporting RTX Ray Tracing with a minimum of 6GB GPU memory, and a recent driver.
2020-08-19 00:10:57 [2,328ms] [Error] [omni.kit.plugin] carb::renderer::createContext failed.
/isaac-sim/_build/linux-x86_64/release/isaac-sim-headless.sh: line 4: 10 Segmentation fault (core dumped) “$SCRIPT_DIR/…/…/target-deps/kit_sdk_release/_build/linux-x86_64/release/omniverse-kit” --config-path "SCRIPT_DIR//experiences/isaac-sim-headless.json" --no-window @

Hi, can you try running it on Ubuntu 18.04? Isaac Sim 2020.1 does not support Ubuntu 20.04.

1 Like

hmmm…okay, tried Ubuntu 18.04 today, and installed the following Driver for my 2070 Super:
Wed Aug 19 17:34:59 2020
±----------------------------------------------------------------------------+
| NVIDIA-SMI 450.66 Driver Version: 450.66 CUDA Version: 11.0 |
|-------------------------------±---------------------±---------------------+
| GPU Name Persistence-M| Bus-Id Disp.A | Volatile Uncorr. ECC |
| Fan Temp Perf Pwr:Usage/Cap| Memory-Usage | GPU-Util Compute M. |
| | | MIG M. |
|===============================+======================+======================|
| 0 GeForce RTX 207… Off | 00000000:01:00.0 On | N/A |
| N/A 45C P8 10W / N/A | 587MiB / 7982MiB | 1% Default |
| | | N/A |
±------------------------------±---------------------±---------------------+

+-----------------------------------------------------------------------------+
| Processes:                                                                  |
|  GPU   GI   CI        PID   Type   Process name                  GPU Memory |
|        ID   ID                                                   Usage      |
|=============================================================================|
|    0   N/A  N/A      1749      G   /usr/lib/xorg/Xorg                404MiB |
|    0   N/A  N/A      1935      G   /usr/bin/gnome-shell              168MiB |
|    0   N/A  N/A      2458      G   /usr/lib/firefox/firefox            2MiB |
|    0   N/A  N/A      2738      G   /usr/lib/firefox/firefox            2MiB |
|    0   N/A  N/A      2879      G   /usr/lib/firefox/firefox            2MiB |
|    0   N/A  N/A      4130      G   /usr/lib/firefox/firefox            2MiB |
+-----------------------------------------------------------------------------+

I pulled the docker image and tried to run:
sudo docker run --gpus all -e “ACCEPT_EULA=Y” --rm -p 47995-48012:47995-48012/udp -p 47995-48012:47995-48012/tcp -p 49000-49007:49000-49007/tcp -p 49000-49007:49000-49007/udp nvcr.io/nvidia/isaac-sim:2020.1_ea
Unable to find image ‘nvcr.io/nvidia/isaac-sim:2020.1_ea’ locally

Digest: sha256:213de52055cb8c254f073c1b0afbeb7c52f1c3272e896350ac981a90130ba61f
Status: Downloaded newer image for nvcr.io/nvidia/isaac-sim:2020.1_ea
docker: Error response from daemon: could not select device driver "" with capabilities: [[gpu]].

Thanks. That error indicates that you might have not yet installed the NVIDIA Container Toolkit.

1 Like

this helped! Thanks! Now onto sdk manager to flash and run my xavier agv.